import { httpApi } from '../../../request/httpApi'

export default {
    //进场材料分页条件查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/page',
            method: 'get',
            params: form,
        }, msg)
    },
    //进场材料新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/submit',
            method: 'post',
            data: form,
        }, msg)
    },
    //进场材料批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/remove',
            method: 'post',
            params: form,
        }, msg)
    },
    //校验材料编号是否唯一
    async verification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/verification',
            method: 'get',
            params: form,
        }, msg)
    },
    //进场材料批量复制
    async copyData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/copy',
            method: 'post',
            data: form,
        }, msg)
    },
    //批量打印进场材料Pdf
    async exportPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/export-pdf',
            method: 'post',
            params: form,
        }, msg)
    },
    //材料取样记录
    async samplingRecord(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/sampling-record',
            method: 'get',
            params: form,
        }, msg)
    },
    //材料进场附件附件修改接口：
    async updateMobilizationFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/material/mobilization/upload-file',
            method: 'post',
            params: form,
        }, msg)
    },
}
